Bug 28848 - PHP: update to latest version
Summary: PHP: update to latest version
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA8-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2021-04-28 16:01 CEST by Marc Krämer
Modified: 2021-05-07 07:36 CEST (History)
2 users (show)

See Also:
Source RPM: php
CVE:
Status comment:


Attachments

Description Marc Krämer 2021-04-28 16:01:55 CEST
An update is available, list of fixed bugs/CVE's to come
Comment 1 Marc Krämer 2021-04-28 16:03:16 CEST
SRPM: php-8.0.5-1.1.mga8.src.rpm
RPM:
php-dom-debuginfo-8.0.5-1.1
php-openssl-debuginfo-8.0.5-1.1
php-mbstring-8.0.5-1.1
php-debuginfo-8.0.5-1.1
php-mysqlnd-debuginfo-8.0.5-1.1
php-phar-debuginfo-8.0.5-1.1
php-mbstring-debuginfo-8.0.5-1.1
php-pgsql-debuginfo-8.0.5-1.1
php-opcache-8.0.5-1.1
php-intl-8.0.5-1.1
php-mysqli-debuginfo-8.0.5-1.1
php-fileinfo-debuginfo-8.0.5-1.1
php-curl-debuginfo-8.0.5-1.1
php-pdo-debuginfo-8.0.5-1.1
php-ini-8.0.5-1.1
php-intl-debuginfo-8.0.5-1.1
php-sockets-debuginfo-8.0.5-1.1
php-soap-debuginfo-8.0.5-1.1
php-session-debuginfo-8.0.5-1.1
php-mysqlnd-8.0.5-1.1
php-soap-8.0.5-1.1
php-phar-8.0.5-1.1
php-imap-debuginfo-8.0.5-1.1
php-gmp-debuginfo-8.0.5-1.1
php-gd-debuginfo-8.0.5-1.1
php-ldap-debuginfo-8.0.5-1.1
php-zip-debuginfo-8.0.5-1.1
php-exif-debuginfo-8.0.5-1.1
php-dba-debuginfo-8.0.5-1.1
php-ftp-debuginfo-8.0.5-1.1
php-openssl-8.0.5-1.1
php-snmp-debuginfo-8.0.5-1.1
php-sodium-debuginfo-8.0.5-1.1
php-tidy-debuginfo-8.0.5-1.1
php-dom-8.0.5-1.1
php-doc-8.0.5-1.1
php-bcmath-debuginfo-8.0.5-1.1
php-pgsql-8.0.5-1.1
php-filter-debuginfo-8.0.5-1.1
php-sqlite3-debuginfo-8.0.5-1.1
php-odbc-debuginfo-8.0.5-1.1
php-mysqli-8.0.5-1.1
php-iconv-debuginfo-8.0.5-1.1
php-zlib-debuginfo-8.0.5-1.1
php-posix-debuginfo-8.0.5-1.1
php-pdo-8.0.5-1.1
php-session-8.0.5-1.1
php-curl-8.0.5-1.1
php-gd-8.0.5-1.1
php-sockets-8.0.5-1.1
php-pdo_firebird-debuginfo-8.0.5-1.1
php-pdo_mysql-debuginfo-8.0.5-1.1
php-xsl-debuginfo-8.0.5-1.1
php-pdo_pgsql-debuginfo-8.0.5-1.1
php-pdo_sqlite-debuginfo-8.0.5-1.1
php-exif-8.0.5-1.1
php-imap-8.0.5-1.1
php-sodium-8.0.5-1.1
php-tokenizer-debuginfo-8.0.5-1.1
php-readline-debuginfo-8.0.5-1.1
php-calendar-debuginfo-8.0.5-1.1
php-ldap-8.0.5-1.1
php-xmlreader-debuginfo-8.0.5-1.1
php-xmlwriter-debuginfo-8.0.5-1.1
php-pdo_dblib-debuginfo-8.0.5-1.1
php-ftp-8.0.5-1.1
php-tidy-8.0.5-1.1
php-odbc-8.0.5-1.1
php-dba-8.0.5-1.1
php-bz2-debuginfo-8.0.5-1.1
php-pdo_odbc-debuginfo-8.0.5-1.1
php-pcntl-debuginfo-8.0.5-1.1
php-zip-8.0.5-1.1
php-gmp-8.0.5-1.1
php-sqlite3-8.0.5-1.1
php-bcmath-8.0.5-1.1
php-iconv-8.0.5-1.1
php-pdo_pgsql-8.0.5-1.1
php-ctype-debuginfo-8.0.5-1.1
php-snmp-8.0.5-1.1
php-xmlwriter-8.0.5-1.1
php-zlib-8.0.5-1.1
php-gettext-debuginfo-8.0.5-1.1
php-enchant-debuginfo-8.0.5-1.1
php-filter-8.0.5-1.1
php-pdo_firebird-8.0.5-1.1
php-pcntl-8.0.5-1.1
php-calendar-8.0.5-1.1
php-pdo_sqlite-8.0.5-1.1
php-xmlreader-8.0.5-1.1
php-posix-8.0.5-1.1
php-readline-8.0.5-1.1
php-xsl-8.0.5-1.1
php-sysvshm-debuginfo-8.0.5-1.1
php-sysvmsg-debuginfo-8.0.5-1.1
php-bz2-8.0.5-1.1
php-sysvsem-debuginfo-8.0.5-1.1
php-pdo_dblib-8.0.5-1.1
php-tokenizer-8.0.5-1.1
php-pdo_mysql-8.0.5-1.1
php-enchant-8.0.5-1.1
php-pdo_odbc-8.0.5-1.1
php-shmop-debuginfo-8.0.5-1.1
php-sysvshm-8.0.5-1.1
php-sysvmsg-8.0.5-1.1
php-shmop-8.0.5-1.1
php-sysvsem-8.0.5-1.1
php-fpm-apache-8.0.5-1.1
php-cli-8.0.5-1.1
php-fpm-nginx-8.0.5-1.1
php-ctype-8.0.5-1.1
php-gettext-8.0.5-1.1
php-cgi-8.0.5-1.1
php-fpm-8.0.5-1.1
apache-mod_php-8.0.5-1.1
phpdbg-8.0.5-1.1
php-opcache-debuginfo-8.0.5-1.1
php-fileinfo-8.0.5-1.1
php-cgi-debuginfo-8.0.5-1.1
apache-mod_php-debuginfo-8.0.5-1.1
php-cli-debuginfo-8.0.5-1.1
php-fpm-debuginfo-8.0.5-1.1
phpdbg-debuginfo-8.0.5-1.1
php-debugsource-8.0.5-1.1
php-devel-8.0.5-1.1
Comment 2 Marc Krämer 2021-04-30 12:28:14 CEST
Bugfix release of php updating to version 8.0.5.

References:
https://www.php.net/ChangeLog-8.php#8.0.5
========================

Updated packages in core/updates_testing:
========================
RPM:
php-dom-debuginfo-8.0.5-1.1
php-openssl-debuginfo-8.0.5-1.1
php-mbstring-8.0.5-1.1
php-debuginfo-8.0.5-1.1
php-mysqlnd-debuginfo-8.0.5-1.1
php-phar-debuginfo-8.0.5-1.1
php-mbstring-debuginfo-8.0.5-1.1
php-pgsql-debuginfo-8.0.5-1.1
php-opcache-8.0.5-1.1
php-intl-8.0.5-1.1
php-mysqli-debuginfo-8.0.5-1.1
php-fileinfo-debuginfo-8.0.5-1.1
php-curl-debuginfo-8.0.5-1.1
php-pdo-debuginfo-8.0.5-1.1
php-ini-8.0.5-1.1
php-intl-debuginfo-8.0.5-1.1
php-sockets-debuginfo-8.0.5-1.1
php-soap-debuginfo-8.0.5-1.1
php-session-debuginfo-8.0.5-1.1
php-mysqlnd-8.0.5-1.1
php-soap-8.0.5-1.1
php-phar-8.0.5-1.1
php-imap-debuginfo-8.0.5-1.1
php-gmp-debuginfo-8.0.5-1.1
php-gd-debuginfo-8.0.5-1.1
php-ldap-debuginfo-8.0.5-1.1
php-zip-debuginfo-8.0.5-1.1
php-exif-debuginfo-8.0.5-1.1
php-dba-debuginfo-8.0.5-1.1
php-ftp-debuginfo-8.0.5-1.1
php-openssl-8.0.5-1.1
php-snmp-debuginfo-8.0.5-1.1
php-sodium-debuginfo-8.0.5-1.1
php-tidy-debuginfo-8.0.5-1.1
php-dom-8.0.5-1.1
php-doc-8.0.5-1.1
php-bcmath-debuginfo-8.0.5-1.1
php-pgsql-8.0.5-1.1
php-filter-debuginfo-8.0.5-1.1
php-sqlite3-debuginfo-8.0.5-1.1
php-odbc-debuginfo-8.0.5-1.1
php-mysqli-8.0.5-1.1
php-iconv-debuginfo-8.0.5-1.1
php-zlib-debuginfo-8.0.5-1.1
php-posix-debuginfo-8.0.5-1.1
php-pdo-8.0.5-1.1
php-session-8.0.5-1.1
php-curl-8.0.5-1.1
php-gd-8.0.5-1.1
php-sockets-8.0.5-1.1
php-pdo_firebird-debuginfo-8.0.5-1.1
php-pdo_mysql-debuginfo-8.0.5-1.1
php-xsl-debuginfo-8.0.5-1.1
php-pdo_pgsql-debuginfo-8.0.5-1.1
php-pdo_sqlite-debuginfo-8.0.5-1.1
php-exif-8.0.5-1.1
php-imap-8.0.5-1.1
php-sodium-8.0.5-1.1
php-tokenizer-debuginfo-8.0.5-1.1
php-readline-debuginfo-8.0.5-1.1
php-calendar-debuginfo-8.0.5-1.1
php-ldap-8.0.5-1.1
php-xmlreader-debuginfo-8.0.5-1.1
php-xmlwriter-debuginfo-8.0.5-1.1
php-pdo_dblib-debuginfo-8.0.5-1.1
php-ftp-8.0.5-1.1
php-tidy-8.0.5-1.1
php-odbc-8.0.5-1.1
php-dba-8.0.5-1.1
php-bz2-debuginfo-8.0.5-1.1
php-pdo_odbc-debuginfo-8.0.5-1.1
php-pcntl-debuginfo-8.0.5-1.1
php-zip-8.0.5-1.1
php-gmp-8.0.5-1.1
php-sqlite3-8.0.5-1.1
php-bcmath-8.0.5-1.1
php-iconv-8.0.5-1.1
php-pdo_pgsql-8.0.5-1.1
php-ctype-debuginfo-8.0.5-1.1
php-snmp-8.0.5-1.1
php-xmlwriter-8.0.5-1.1
php-zlib-8.0.5-1.1
php-gettext-debuginfo-8.0.5-1.1
php-enchant-debuginfo-8.0.5-1.1
php-filter-8.0.5-1.1
php-pdo_firebird-8.0.5-1.1
php-pcntl-8.0.5-1.1
php-calendar-8.0.5-1.1
php-pdo_sqlite-8.0.5-1.1
php-xmlreader-8.0.5-1.1
php-posix-8.0.5-1.1
php-readline-8.0.5-1.1
php-xsl-8.0.5-1.1
php-sysvshm-debuginfo-8.0.5-1.1
php-sysvmsg-debuginfo-8.0.5-1.1
php-bz2-8.0.5-1.1
php-sysvsem-debuginfo-8.0.5-1.1
php-pdo_dblib-8.0.5-1.1
php-tokenizer-8.0.5-1.1
php-pdo_mysql-8.0.5-1.1
php-enchant-8.0.5-1.1
php-pdo_odbc-8.0.5-1.1
php-shmop-debuginfo-8.0.5-1.1
php-sysvshm-8.0.5-1.1
php-sysvmsg-8.0.5-1.1
php-shmop-8.0.5-1.1
php-sysvsem-8.0.5-1.1
php-fpm-apache-8.0.5-1.1
php-cli-8.0.5-1.1
php-fpm-nginx-8.0.5-1.1
php-ctype-8.0.5-1.1
php-gettext-8.0.5-1.1
php-cgi-8.0.5-1.1
php-fpm-8.0.5-1.1
apache-mod_php-8.0.5-1.1
phpdbg-8.0.5-1.1
php-opcache-debuginfo-8.0.5-1.1
php-fileinfo-8.0.5-1.1
php-cgi-debuginfo-8.0.5-1.1
apache-mod_php-debuginfo-8.0.5-1.1
php-cli-debuginfo-8.0.5-1.1
php-fpm-debuginfo-8.0.5-1.1
phpdbg-debuginfo-8.0.5-1.1
php-debugsource-8.0.5-1.1
php-devel-8.0.5-1.1


SRPM:
php-8.0.5-1.1.mga8.src.rpm

Assignee: mageia => qa-bugs

Comment 3 Aurelien Oudelet 2021-05-06 20:33:10 CEST
MGA8 Plasma x86_64

Running Apache + mariadb + php-8.0.5-1.1 with latest wordpress is OK.

Giving this an OK.
Validating.
Advisory pushed.

CC: (none) => ouaurelien, sysadmin-bugs
Whiteboard: (none) => MGA8-64-OK
Keywords: (none) => advisory, validated_update

Comment 4 Mageia Robot 2021-05-07 07:36:59 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2021-0107.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.